program Conn4x;

uses
  Forms, Classes, Controls,
  HPDir in 'HPDir.pas' {FHPDir},
  CmStatus in 'CmStatus.pas' {FCmStatus},
  About in 'About.pas' {FAbout},

  RegistryValues in 'RegistryValues.pas',
  YModem in 'YModem.pas',
  ScreenCapt in 'ScreenCapt.pas' {FCapture},
  DownLd in 'DownLd.pas' {FDownLd},
  Properties in 'Properties.pas' {FProperty},
  LogIt in 'LogIt.pas' {LogForm},
  FixObj in 'FixObj.pas' {FixObj};
 // MandelF in 'MandelF.pas' {FMandel};

{$R *.RES}

Procedure GiveCompletion(c: TComponent);
var
  i: integer;
begin
  if assigned(c) then
  begin
    // wgg if more help (F1) is available, prefix a clue for user
    if (c is TControl) And ((c as Tcontrol).helpcontext>1) and ((c as Tcontrol).hint<>'') then
      if ((c as Tcontrol).helpcontext Mod 10000)>=5000 then
        (c as Tcontrol).hint:= '?* '+(c as Tcontrol).hint
      else (c as Tcontrol).hint:= '? '+(c as Tcontrol).hint;

    for i:= 0 to c.componentCount-1 do
      GiveCompletion(c.Components[i]);
  end;
end;

begin

  Application.Initialize;
  Application.Title := 'Conn4x';
  Application.HelpFile := 'Conn4x.chm';
  Application.CreateForm(TFHPDir, FHPDir);
  Application.CreateForm(TFProperty, FProperty);
  Application.CreateForm(TFDownLd, FDownLd);
  Application.CreateForm(TFCapture, FCapture);
{  Application.CreateForm(TFMandel, FMandel); }

  GiveCompletion(Application);
// form's BorderIcons, biHelp must be true for pop-up help
  Application.OnHelp := FHPDir.ApplicationOnHelp;                // wgg hook up the HTML help system

  Application.Run;
end.
