{ file DownLd.pas

 Instruct user about downloading the server.
}
// Items marked wgg are copyright 2002, William G. Graves

unit DownLd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ComCtrls, ExtCtrls;

type
  TFDownLd = class(TForm)
    Memo1: TMemo;
    btnOK: TBitBtn;
    btnCancel: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    function Execute(m: integer): boolean;
    procedure CenterOnMe(Sender: TForm);   // wgg form to use for centering
  end;

var
  FDownLd: TFDownLd;
  HPDirForm: TForm;
  btnOKPosL: integer;
  
implementation

{$R *.DFM}

{ TFDownLd }
procedure TFDownLd.FormCreate(Sender: TObject);
begin
  btnOKPosL:= btnOK.Left;    // remember so we can center and then restore
end;

procedure TFDownLd.CenterOnMe(Sender: TForm);   // form to use for centering
begin
  HPDirForm:= Sender;    // remember so we can center and then restore
end;

function TFDownLd.Execute(m: integer): boolean;
begin
  case m of
  1: Memo1.Lines.Text:=
         'On the HP-48:'#13#10#13#10
        +'1.  Type '' ALPHA  X   (or any other name)'#13#10
        +'2.  Press: Left-Shift   I/O   NXT   XRECV'#13#10
        +'3.  The receive command should start.'#13#10
        +'4.  Press OK below.'#13#10#13#10
        +'It is faster if you press OK then do XRECV'#13#10
        +'but this prompt will disappear when you press'#13#10
        +'OK'#13#10;
  2: Memo1.Lines.Text:=
         'On the HP-48:'#13#10#13#10
        +'1.  The server should now be in the ''X'' variable '#13#10
        +'     (or name that you used)'#13#10
        +'2.  Press VAR  then  X to place the library on the '#13#10
        +'     stack'#13#10
        +'3.  Type 0 (or 1)  STO  to store into port 0 (or 1)'#13#10
        +'4.  Turn the HP-48 off then on'#13#10
        +'5.  Press:  right-shit   LIBRARY'#13#10
        +'6.  The menu labeled XSRVR contains the '#13#10
        +'     XModem Server'#13#10;
  3: Memo1.Lines.Text:=
         'Setup Calculator Screen, then'#13#10#13#10
        +'On the HP-48G(X):'#13#10
        +'   Press ON plus 1'#13#10#13#10
        +'On the HP-49'#13#10
        +'   Press ON plus up-arrow'#13#10;
  4: Memo1.Lines.Text:=
         'On the calculator:'#13#10#13#10
        +'1.  Type  ''  ALPHA  X  (or any other name)'#13#10
        +'2.  Press (HP-48): Left-Shift   I/O   NXT   XRECV'#13#10
        +'     Press (HP-49): XRECV'#13#10
        +'3.  The receive command should start.'#13#10
        +'4.  Press OK below.'#13#10#13#10
        +'It is faster if you press OK then do XRECV'#13#10
        +'but this prompt will disappear when you press'#13#10
        +'OK'#13#10;
  5: Memo1.Lines.Text:=
         'On the calculator:'#13#10#13#10
        +'1.  The file should now be in the '#39'X'#39' variable '#13#10
        +'     (or name that you used)'#13#10;
  6: Memo1.Lines.Text:=
         'On the Calculator:'#13#10#13#10
        +'1.  Type '' and the name of the item to send'#13#10
        +'2.  Press: XSEND'#13#10
        +'3.  The send command should start.'#13#10
        +'4.  Press OK below.'#13#10;
  end;
  if m in [1, 3, 4, 6] then btnCancel.Visible:= true
  else btnCancel.Visible:= false;
  if btnCancel.Visible then btnOK.left:= btnOKPosL
  else btnOK.left:= (Width-btnOK.width) div 2;
  result:= IsPositiveResult(ShowModal);
end;

procedure TFDownLd.FormShow(Sender: TObject);
begin
  if HPDirForm=Nil then exit;
  Left:= (HPDirForm.Width-Width) div 2 + HPDirForm.Left;
  Top:= (HPDirForm.Height-Height) div 2 + HPDirForm.Top;
end;

end.
